Package org.apache.torque.criteria

# Class CriterionTest

java.lang.Object
org.apache.torque.BaseTestCase
org.apache.torque.criteria.CriterionTest

public class CriterionTest extends BaseTestCase
Test for the Criterion class.

Version:
  $Id: CriterionTest.java 1917245 2024-04-21 14:06:23Z tv $

- ## Field Summary

  ### Fields inherited from class org.apache.torque.BaseTestCase

  `CONFIG_FILE, database, databaseMap, databaseMysql, databaseOracle, databasePostgresql, integerColumnMap, stringColumnMap, stringColumnMap2, stringColumnMap3, tableMap`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CriterionTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `testCopyConstructorCompositeCriterion()`
  Tests that a criterion is copied when being added as top level criterion using where (also tests and).
  `void`
  `testCopyConstructorSimpleCriterion()`
  Tests that a criterion is copied when being added as top level criterion using where (also tests and).
  `void`
  `testCopyConstructorSqlCriterion()`
  Tests that a criterion is copied when being added as top level criterion using where (also tests and).
  `void`
  `testCriterionAndedToCriterionGetsCopied()`
  Tests that a criterion is copied when being anded to a top level criterion.
  `void`
  `testCriterionAndedToTopLevelCriterionGetsCopied()`
  Tests that a criterion is copied when being anded to a top level criterion.
  `void`
  `testCriterionOredToCriterionGetsCopied()`
  Tests that a criterion is copied when being ored to a top level criterion.
  `void`
  `testCriterionOredToTopLevelCriterionGetsCopied()`
  Tests that a criterion is copied when being ored to a top level criterion.
  `void`
  `testHashCodeAndEquals()`
  `void`
  `testIsNullInCriterion()`
  Tests that a criterion is null checks TORQUE-363.
  `void`
  `testToStringCompositeCriterion()`
  `void`
  `testToStringSingleCriterion()`

  ### Methods inherited from class org.apache.torque.BaseTestCase

  `setUp`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CriterionTest

    public CriterionTest()

- ## Method Details

  - ### testHashCodeAndEquals

    @Test public void testHashCodeAndEquals()

  - ### testToStringSingleCriterion

    @Test public void testToStringSingleCriterion()

  - ### testToStringCompositeCriterion

    @Test public void testToStringCompositeCriterion()

  - ### testIsNullInCriterion

    @Test public void testIsNullInCriterion()
    Tests that a criterion is null checks TORQUE-363.

  - ### testCriterionAndedToTopLevelCriterionGetsCopied

    @Test public void testCriterionAndedToTopLevelCriterionGetsCopied()
    Tests that a criterion is copied when being anded to a top level criterion. checks TORQUE-243.

  - ### testCriterionOredToTopLevelCriterionGetsCopied

    @Test public void testCriterionOredToTopLevelCriterionGetsCopied()
    Tests that a criterion is copied when being ored to a top level criterion. checks TORQUE-243.

  - ### testCriterionAndedToCriterionGetsCopied

    @Test public void testCriterionAndedToCriterionGetsCopied()
    Tests that a criterion is copied when being anded to a top level criterion. checks TORQUE-243.

  - ### testCriterionOredToCriterionGetsCopied

    @Test public void testCriterionOredToCriterionGetsCopied()
    Tests that a criterion is copied when being ored to a top level criterion. checks TORQUE-243.

  - ### testCopyConstructorSimpleCriterion

    @Test public void testCopyConstructorSimpleCriterion()
    Tests that a criterion is copied when being added as top level criterion using where (also tests and). checks TORQUE-243.

  - ### testCopyConstructorCompositeCriterion

    @Test public void testCopyConstructorCompositeCriterion()
    Tests that a criterion is copied when being added as top level criterion using where (also tests and). checks TORQUE-243.

  - ### testCopyConstructorSqlCriterion

    @Test public void testCopyConstructorSqlCriterion()
    Tests that a criterion is copied when being added as top level criterion using where (also tests and). checks TORQUE-243.